Get amendment data points configuration by country
Returns amendment data points configuration per country. If no countries filter is provided, returns configuration for all available countries. If no configuration exists for a country, all data points are treated as enabled.
Token scopes: contracts:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Query parameters
countries
Optional list of ISO 3166-1 alpha-2 country codes to filter results. Returns all countries if omitted.
enabled
When true, returns only enabled data points. A data point is enabled if at least one of its items is not DISABLED_AMENDMENTS.
limit
Maximum number of results to return per page.
cursor
Cursor from a previous response to fetch the next page of results.
Response
Data points configuration per country
data
has_more
Whether more pages are available
next_cursor
Opaque cursor to pass as the cursor query param to fetch the next page. null when on the last page.
total_count
Total number of countries with amendment settings in the database
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error